> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Doc Genテンプレートを使用してドキュメントを生成

> Box Doc Genテンプレートを使用してドキュメントを生成します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2025.0-jp.json POST /docgen_batches
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: アーカイブを管理するために使用される、一連のエンドポイント。
    x-box-tag: archives
  - name: Enterprise構成
    description: 管理者がBox製品の動作を制御するために操作するEnterprise構成。
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Genは、ドキュメントを自動的に生成するために使用されます。
    x-box-tag: docgen
  - name: Box Doc Genテンプレート
    description: Doc Genテンプレートは、ドキュメントを生成するための入力として使用されます。
    x-box-tag: docgen_template
  - name: 外部ユーザー
    description: 外部ユーザーは、自社に所属していないコラボレータです。
    x-box-tag: external_users
  - name: Box Hubs
    description: Box Hubsを管理するために使用される、一連のエンドポイント。
    x-box-tag: hubs
  - name: Box Hubコラボレーション
    description: Box Hub内のコラボレーションを管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_collaborations
  - name: Box Hubドキュメント
    description: Box Hubドキュメント要素 (ページとコンテンツブロック) を取得するために使用される、一連のエンドポイント。
    x-box-tag: hub_document
  - name: Box Hubの項目
    description: Box Hub内の項目を管理するために使用される、一連のエンドポイント。
    x-box-tag: hub_items
  - name: Shieldリスト
    description: Shieldリストを使用すると、管理者は、さまざまなShieldスマートアクセスルールや脅威検出ルールで共有される項目のリストを作成できます。
    x-box-tag: shield_lists
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /docgen_batches:
    post:
      tags:
        - Box Doc Gen
      summary: Box Doc Genテンプレートを使用してドキュメントを生成
      description: Box Doc Genテンプレートを使用してドキュメントを生成します。
      operationId: post_docgen_batches_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocGenBatchCreateRequest'
      responses:
        '202':
          description: 作成されたバッチID。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocGenBatch--Base'
        '403':
          description: クライアントには、リクエストされたコンテンツまたはリソースへのアクセス権限がありません。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '413':
          description: リクエストのペイロードのサイズが、許容される上限を超えています。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: サーバーで予期しない状況が発生しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Box Doc Genテンプレートを使用してドキュメントを生成
          source: |-
            curl -L 'https://api.box.com/2.0/docgen_batches' \
                 -H 'box-version: 2025.0' \
                 -H 'Authorization: Bearer <ACCESS_TOKEN>' \
                 -D '{
                    "file": {
                        "id": "12345678",
                        "type": "file"
                    },
                    "input_source": "api",
                    "destination_folder": {
                        "id": "12345678",
                        "type": "folder"
                    },
                    "output_type": "docx",
                    "document_generation_data": [
                        {
                            "generated_file_name": "Image test",
                            "user_input": {
                                "order": {
                                    "id": "12305",
                                    "date": "18-08-2023",
                                    "country": "US",
                                    "expiryDate": "18-08-2024",
                                    "currency": "$",
                                    "amount": 5060.5,
                                    "taxRate": 10,
                                    "requester": "John",
                                    "approver": "Smith",
                                    "department": "Procurement",
                                    "paymentTerms": "30 days",
                                    "deliveryTerms": "30 days",
                                    "deliveryDate": "18-09-2023",
                                    "vendor": {
                                        "company": "Example company",
                                        "address": {
                                            "street": "Example street",
                                            "city": "Example city",
                                            "zip": "EX-456"
                                        }
                                    },
                                    "products": [
                                        {
                                            "id": 1,
                                            "name": "A4 Papers",
                                            "type": "non-fragile",
                                            "quantity": 100,
                                            "price": 29,
                                            "amount": 2900
                                        },
                                        {
                                            "id": 2,
                                            "name": "Ink  Cartridge",
                                            "type": "non-fragile",
                                            "quantity": 40,
                                            "price": 39,
                                            "amount": 1560
                                        },
                                        {
                                            "id": 3,
                                            "name": "Adhesive tape",
                                            "type": "non-fragile",
                                            "quantity": 20,
                                            "price": 30,
                                            "amount": 600.5
                                        }
                                    ]
                                }
                            }
                        }
                    ]`
        - lang: dotnet
          label: Box Doc Genテンプレートを使用してドキュメントを生成
          source: >-
            await client.Docgen.CreateDocgenBatchV2025R0Async(requestBody: new
            DocGenBatchCreateRequestV2025R0(file: new FileReferenceV2025R0(id:
            uploadedFileDocx.Id), inputSource: "api", destinationFolder: new
            DocGenBatchCreateRequestV2025R0DestinationFolderField(id:
            folder.Id), outputType: "pdf", documentGenerationData:
            Array.AsReadOnly(new [] {new
            DocGenDocumentGenerationDataV2025R0(generatedFileName: "test",
            userInput: new Dictionary<string, object>() { { "abc", "xyz" }
            })})));
        - lang: swift
          label: Box Doc Genテンプレートを使用してドキュメントを生成
          source: >-
            try await client.docgen.createDocgenBatchV2025R0(requestBody:
            DocGenBatchCreateRequestV2025R0(file: FileReferenceV2025R0(id:
            uploadedFileDocx.id), inputSource: "api", destinationFolder:
            DocGenBatchCreateRequestV2025R0DestinationFolderField(id:
            folder.id), outputType: "pdf", documentGenerationData:
            [DocGenDocumentGenerationDataV2025R0(generatedFileName: "test",
            userInput: ["abc": "xyz"])]))
        - lang: java
          label: Box Doc Genテンプレートを使用してドキュメントを生成
          source: >-
            client.getDocgen().createDocgenBatchV2025R0(new
            DocGenBatchCreateRequestV2025R0(new
            FileReferenceV2025R0(uploadedFileDocx.getId()), "api", new
            DocGenBatchCreateRequestV2025R0DestinationFolderField(folder.getId()),
            "pdf", Arrays.asList(new DocGenDocumentGenerationDataV2025R0("test",
            mapOf(entryOf("abc", "xyz"))))))
        - lang: node
          label: Box Doc Genテンプレートを使用してドキュメントを生成
          source: |-
            await client.docgen.createDocgenBatchV2025R0({
              file: new FileReferenceV2025R0({ id: uploadedFileDocx.id }),
              inputSource: 'api',
              destinationFolder: new DocGenBatchCreateRequestV2025R0DestinationFolderField({
                id: folder.id,
              }),
              outputType: 'pdf',
              documentGenerationData: [
                {
                  generatedFileName: 'test',
                  userInput: { ['abc']: 'xyz' },
                } satisfies DocGenDocumentGenerationDataV2025R0,
              ],
            } satisfies DocGenBatchCreateRequestV2025R0);
        - lang: python
          label: Box Doc Genテンプレートを使用してドキュメントを生成
          source: |-
            client.docgen.create_docgen_batch_v2025_r0(
                FileReferenceV2025R0(id=uploaded_file_docx.id),
                "api",
                CreateDocgenBatchV2025R0DestinationFolder(id=folder.id),
                "pdf",
                [
                    DocGenDocumentGenerationDataV2025R0(
                        generated_file_name="test", user_input={"abc": "xyz"}
                    )
                ],
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    DocGenBatchCreateRequest:
      description: Box Doc Genジョブのバッチリクエストを作成するためのスキーマ。
      type: object
      properties:
        file:
          allOf:
            - $ref: '#/components/schemas/FileReference'
            - description: ドキュメントの生成に使用されるBox Doc Genテンプレート。
        file_version:
          allOf:
            - $ref: '#/components/schemas/FileVersion--Base'
            - description: テンプレートのファイルバージョン。
        input_source:
          description: 入力のソース。この値は、APIベースのすべてのドキュメント生成リクエストで`api`にする必要があります。
          type: string
          example: api
        destination_folder:
          allOf:
            - description: フォルダの参照。
              type: object
              properties:
                type:
                  description: 値は常に`folder`になります。
                  type: string
                  example: folder
                  enum:
                    - folder
                  nullable: false
                id:
                  description: フォルダのID。
                  type: string
                  example: '42037322'
              required:
                - type
                - id
              title: フォルダの参照
            - description: 生成されたファイルの保存先フォルダ。
        output_type:
          description: 出力ファイルの種類。
          type: string
          example: docx
        document_generation_data:
          type: array
          items:
            $ref: '#/components/schemas/DocGenDocumentGenerationData'
      required:
        - file
        - input_source
        - destination_folder
        - output_type
        - document_generation_data
      title: バッチリクエストを作成
    DocGenBatch--Base:
      description: >-
        Box Doc GenバッチオブジェクトのBase版の表示。Box Doc Genのバッチには、1つ以上のBox Doc
        Genジョブが含まれています。
      type: object
      properties:
        id:
          description: Box Doc Genのバッチを表す一意の識別子。
          type: string
          example: '12345'
          nullable: false
        type:
          description: 値は常に`docgen_batch`になります。
          type: string
          example: docgen_batch
          enum:
            - docgen_batch
          nullable: false
      required:
        - id
        - type
      title: Box Doc Genのバッチ (Base)
      x-box-resource-id: docgen_batch_v2025.0--base
      x-box-tag: docgen
      x-box-variant: base
      x-box-variants:
        - base
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2025.0
    FileReference:
      description: ファイル参照。
      type: object
      properties:
        type:
          description: 値は常に`file`になります。
          type: string
          example: file
          enum:
            - file
          nullable: false
        id:
          description: オブジェクトのID。
          type: string
          example: '42037322'
          nullable: false
      required:
        - type
        - id
      title: ファイル参照
    FileVersion--Base:
      description: 最も基本的なファイルバージョンのBase版の表示。`fields`クエリパラメータを使用すると、最小限の数のフィールドが返されます。
      type: object
      properties:
        id:
          description: ファイルバージョンを表す一意の識別子。
          type: string
          example: '12345'
          nullable: false
        type:
          description: 値は常に`file_version`になります。
          type: string
          example: file_version
          enum:
            - file_version
          nullable: false
      required:
        - id
        - type
      title: ファイルバージョン (Base)
    DocGenDocumentGenerationData:
      description: Box Doc Genジョブのリクエストを作成するためのスキーマ。
      type: object
      properties:
        generated_file_name:
          description: 出力ファイルのファイル名。
          type: string
          example: New_Template
        user_input:
          type: object
          example:
            name: Aaron Levie
          additionalProperties: {}
      required:
        - generated_file_name
        - user_input
      title: ドキュメント生成データ
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````